/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.mgmt;

public class JdbcDriverDataLocal extends com.mysql.grt.db.mgmt.DriverDataLocal implements JdbcDriverData {

    private String className;

    private String connectionStringTemplate;

    public JdbcDriverDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public String getClassName() {
        return className;
    }

    public String setClassName(String className) {
        this.className = className;

        return getClassName();
    }

    public String getConnectionStringTemplate() {
        return connectionStringTemplate;
    }

    public String setConnectionStringTemplate(String connectionStringTemplate) {
        this.connectionStringTemplate = connectionStringTemplate;

        return getConnectionStringTemplate();
    }

}
