/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.forms;

public class AnchorsDataGlobal extends com.mysql.grt.GrtObjectDataGlobal implements AnchorsData {

    public AnchorsDataGlobal(String globalObjectPath) {
        super(globalObjectPath);
    }

    public int getLeft() {
        return getGrtGlobalAsInt("left");
    }

    public int setLeft(int left) {
        setGrtGlobalFromInt("left", left);

        return getLeft();
    }

    public int getTop() {
        return getGrtGlobalAsInt("top");
    }

    public int setTop(int top) {
        setGrtGlobalFromInt("top", top);

        return getTop();
    }

    public int getRight() {
        return getGrtGlobalAsInt("right");
    }

    public int setRight(int right) {
        setGrtGlobalFromInt("right", right);

        return getRight();
    }

    public int getBottom() {
        return getGrtGlobalAsInt("bottom");
    }

    public int setBottom(int bottom) {
        setGrtGlobalFromInt("bottom", bottom);

        return getBottom();
    }

}
