/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.forms;

public interface ApplicationData extends com.mysql.grt.GrtObjectData {

    public int getActive();

    public int setActive(int active);

    public int getMouseX();

    public int setMouseX(int mouseX);

    public int getMouseY();

    public int setMouseY(int mouseY);

    public com.mysql.grt.forms.FormList getForms();

    public com.mysql.grt.forms.FormList setForms(com.mysql.grt.forms.FormList forms);

    public com.mysql.grt.forms.Form getMainForm();

    public com.mysql.grt.forms.Form setMainForm(com.mysql.grt.forms.Form mainForm);

    public String getMainFormById();

    public void setMainFormById(String mainForm);

    public com.mysql.grt.forms.Form getActiveForm();

    public com.mysql.grt.forms.Form setActiveForm(com.mysql.grt.forms.Form activeForm);

    public String getActiveFormById();

    public void setActiveFormById(String activeForm);

}
