/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.forms;

public class RadiobuttonDataGlobal extends com.mysql.grt.forms.WidgetDataGlobal implements RadiobuttonData {

    public RadiobuttonDataGlobal(String globalObjectPath) {
        super(globalObjectPath);
    }

    public int getGroup() {
        return getGrtGlobalAsInt("group");
    }

    public int setGroup(int group) {
        setGrtGlobalFromInt("group", group);

        return getGroup();
    }

    public int getChecked() {
        return getGrtGlobalAsInt("checked");
    }

    public int setChecked(int checked) {
        setGrtGlobalFromInt("checked", checked);

        return getChecked();
    }

}
