/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.migration;

public interface MappingData extends com.mysql.grt.GrtObjectData {

    public String getSourceStructName();

    public String setSourceStructName(String sourceStructName);

    public String getMethodName();

    public String setMethodName(String methodName);

    public String getModuleName();

    public String setModuleName(String moduleName);

    public String getParamGroupName();

    public String setParamGroupName(String paramGroupName);

    public com.mysql.grt.GrtStringHashMap getParams();

    public com.mysql.grt.GrtStringHashMap setParams(com.mysql.grt.GrtStringHashMap params);

    public com.mysql.grt.GrtObject getSourceObject();

    public com.mysql.grt.GrtObject setSourceObject(com.mysql.grt.GrtObject sourceObject);

    public String getSourceObjectById();

    public void setSourceObjectById(String sourceObject);

    public com.mysql.grt.db.migration.Method getMethod();

    public com.mysql.grt.db.migration.Method setMethod(com.mysql.grt.db.migration.Method method);

    public String getMethodById();

    public void setMethodById(String method);

}
