/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.forms;

public class PositionDataLocal extends com.mysql.grt.GrtObjectDataLocal implements PositionData {

    private int left;

    private int top;

    private int width;

    private int height;

    private int state;

    private int monitor;

    public PositionDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public int getLeft() {
        return left;
    }

    public int setLeft(int left) {
        this.left = left;

        return getLeft();
    }

    public int getTop() {
        return top;
    }

    public int setTop(int top) {
        this.top = top;

        return getTop();
    }

    public int getWidth() {
        return width;
    }

    public int setWidth(int width) {
        this.width = width;

        return getWidth();
    }

    public int getHeight() {
        return height;
    }

    public int setHeight(int height) {
        this.height = height;

        return getHeight();
    }

    public int getState() {
        return state;
    }

    public int setState(int state) {
        this.state = state;

        return getState();
    }

    public int getMonitor() {
        return monitor;
    }

    public int setMonitor(int monitor) {
        this.monitor = monitor;

        return getMonitor();
    }

}
